Jira CLI(7)

NAME

jira-completion - Output shell completion code for the specified shell (bash or zsh)

SYNOPSIS

jira completion

DESCRIPTION

Output shell completion code for the specified shell (bash, zsh, fish or PowerShell).

To load completions:

Bash:

$ source <(jira completion bash)

# To load completions for each session, execute once:
  Linux:
    $ jira completion bash > /etc/bash_completion.d/jira
  macOS:
    $ jira completion bash > /usr/local/etc/bash_completion.d/jira

Zsh:

# If shell completion is not already enabled in your environment you will need
  # to enable it. You can execute the following once:

$ echo "autoload -U compinit; compinit" >> ~/.zshrc

# To load completions for each session, execute once:
  $ jira completion zsh > "${fpath[1]}/_jira"

# You will need to start a new shell for this setup to take effect.

Fish:

$ jira completion fish | source

# To load completions for each session, execute once:
  $ jira completion fish > ~/.config/fish/completions/_jira.fish

PowerShell:

PS> jira completion powershell | Out-String | Invoke-Expression

# To load completions for every new session, run:
  PS> jira completion powershell > _jira.ps1
  # and source this file from your PowerShell profile.

OPTIONS

-h, --help[=false]
    help for completion

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --config=""
    Config file (default is /home/pbulk/.config/.jira/.config.yml, can be overridden with JIRA_CONFIG_FILE env var)

--debug[=false]
    Turn on debug output

-p, --project=""
    Jira project to look into (defaults to /home/pbulk/.config/.jira/.config.yml)

SEE ALSO

jira(7)

HISTORY

6-Aug-2026 Auto generated by spf13/cobra